package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 画布信息对象 fs_store_canvas
 * 
 * @author fs
 * @date 2022-08-29
 */
public class FsStoreCanvas extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 画布id */
    private Long canvasId;

    /** 终端 1-小程序 */
    @Excel(name = "终端 1-小程序")
    private Integer terminal;

    /** 画布json数据 */
    @Excel(name = "画布json数据")
    private String json;

    /** 类型 1-系统画布 2-自定义页面 3-商家店铺装修 */
    @Excel(name = "类型 1-系统画布 2-自定义页面 3-商家店铺装修")
    private Integer type;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Integer isDel;

    public void setCanvasId(Long canvasId) 
    {
        this.canvasId = canvasId;
    }

    public Long getCanvasId() 
    {
        return canvasId;
    }
    public void setTerminal(Integer terminal) 
    {
        this.terminal = terminal;
    }

    public Integer getTerminal() 
    {
        return terminal;
    }
    public void setJson(String json) 
    {
        this.json = json;
    }

    public String getJson() 
    {
        return json;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("canvasId", getCanvasId())
            .append("terminal", getTerminal())
            .append("json", getJson())
            .append("type", getType())
            .append("name", getName())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
